datatreat {AGHmatrix} | R Documentation

## Organizes pedigree data in a chronological way

### Description

This function organizes pedigree data in a chronological way and return 3 lists: i) parental 1 values (numeric); ii) parental 2 values (numeric); iii) real names of the individuals. Also save a .txt file with new pedigree file.

### Usage

    datatreat(data = NULL, n.max = 50, unk = 0, save = FALSE)

### Arguments

`data` | name of the pedigree data frame. Default=NULL.
`n.max` | max number of iteractions to get the chronological order. Default = 50
`unk` | the code of the data missing. Default=0.
`save` | if TRUE, save the genealogy in a .txt file

### Value

list with parental 1, parental 2, and real names of the individuals (key) also saves a txt file with the new chronological pedigree.

### Author(s)

Rodrigo R Amadeu, rramadeu@gmail.com

### Examples

    data(ped.mrode)
    datatreat(ped.mrode)

[Package AGHmatrix version 1.0.2 Index]